Subject: Re: git-daemon: needs /root/.config/git/config?

From: "Bernhard R. Link" <[email-masked]>
Date: Sun, 9 Jun 2013 14:47:57 +0200

* Ian Kumlien <[email-masked]> [130605 13:31]:
> Yes, i agree, it's suboptimal but I for one would use getpwuid to get
> the home directory of the executing user to avoid this - though i don't
> know how portable it is (or if there is any other issues)

It's not only suboptimal but simply wrong. getpwuid gives at best the
initial home directory, and even there it is only a guess. (If you are
looking for some home directory of a different user it might be a good
guess). But using getpwuid(getuid())->pw_dir if HOME is set is a serious
mistake, as you throw out the good value for some almost but not quite
totally unrelated value.

        Bernhard R. Link